package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import com.xyzc.start.domain.vo.MemberCardUseDetail;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户会员卡
 *
 * @author 杨兴卓
 */
@Data
@TableName("xy_base_user_member_card")
public class BaseUserMemberCard implements Serializable {


    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    private Long memberId;

    /**
     * 会员卡图地址
     */
    private Long baseUserId;

    /**
     * 版本号
     */
    @Version
    private Integer version;

    /**
     * 会员卡状态，0-生效，1-过期，2-冻结
     */
    private Integer status;

    /**
     * 到期时间
     */
    private Date expireTime;

    /**
     * 会员卡使用详情
     */
    private Long agentMerId;

    /**
     * 逻辑删除
     */
    private Integer delFlag;

    /**
     * 会员卡别名id
     */
    private Long memberCardAliasId;

    /**
     * 购买订单id
     */
    private Long baseUserOrderId;

}
