package com.xyzc.start.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xyzc.start.domain.App;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;


import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 应用视图对象 xy_app
 *
 * @author 杨兴卓
 */
@Data
@AutoMapper(target = App.class)
public class AppVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 应用id
     */
    private Long id;

    /**
     * 应用分组id
     */
    private Long appGroupId;

    /**
     * AI模型名称
     */
    private String aiModelName;

    /**
     * 应用分组名称
     */
    private String appGroupName;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用连接
     */
    private String routePath;

    /**
     * 应用英文名称
     */
    private String appNameEn;

    /**
     * 描述
     */
    private String description;

    /**
     * 能力logo ossId（直接翻译成url）
     */
    private String app0ssId;

    /**
     * 提示词
     */
    private String prompt;

    /**
     * 应用类型；1-AI聊天；2-AI文生图；3-AI图生图；4-AI数字人
     */
    private Integer appType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 是否精选
     */
    private Integer isChoiceness;


    /**
     * 总收藏量
     */
    private Integer collectTotal;
}
