package com.xyzc.start.service;

import com.xyzc.start.domain.bo.CreateOrderBo;
import com.xyzc.start.domain.vo.*;

import java.util.List;

/**
 *
 */
public interface ISchemeService {

    /**
     * 获取当前会员卡套餐方案
     *
     * @return
     */
    SchemeVo getCurrentMember();

    /**
     * 获取当前燃料套餐方案
     *
     * @return
     */
    SchemeVo getCurrentFuel();

    /**
     * 获取具体的燃料信息
     *
     * @param fuelId
     * @return
     */
    List<FuelPackageVo> queryCurrentFuelById(Long fuelId);

    /**
     * 获取具体的会员卡信息
     *
     * @param memberId
     * @return
     */
    MemberCardVo queryCurrentMemberById(Long memberId);

    /**
     * 分页查询燃料规则详情
     *
     * @param modelId 模型id
     * @return
     */
    List<AiModelLawVo> queryModelLawList(Long modelId);

    /**
     * 创建订单
     *
     * @param bo
     * @return
     */
    BaseUserOrderVo createOrder(CreateOrderBo bo);
}
